# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Types | Public Member Functions
SimulModel Class Reference

## Public Types

enum | Base
enum | Version

## Public Member Functions

Base | getBase ()
| returns the base of the simulation model.
std::string | getFilePath ()
| returns the file path of the spice netlist used by the simulation model.
unsigned | getId () const
| returns the id of the simulation model.
Version | getVersion ()
| returns the version of the simulation model.
| SimulModel (unsigned, Base, Version, std::string)
| creates a new simulation model. More...

## Detailed Description

This class describes a simulation model used by Operator in Sizing procedure.

## Member Enumeration Documentation

## ◆ Base

enum Base

This enum describes the base of a simulation model. Available values are:

- BSIM3V3 = 0
- BSIM4 = 1
- PSP = 2

## ◆ Version

enum Version

This enum describes the transistor version of a simulation model. Available values are:

- UNDEFINED = 0
- SVT = 1
- HVT = 2
- LVT = 3

## Constructor & Destructor Documentation

## ◆ SimulModel()

SimulModel | ( | unsigned | id,
|  | SimulModel::Base | base,
|  | SimulModel::Version | version,
|  | std::string | filePath
| ) |  |

creates a new simulation model.

Parameters

  id | the id of the simulation model.
  base | the base of the simulation model.
  version | the version of the simulation model.
  filePath | the file path to the spice netlist used by simulation model.